For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rate Limiting

Overall request limits

The API is rate-limited to 150 requests every 60 seconds. All requests count towards the total. Every request processed by the API returns rate limiting information in the HTTP headers.


Rate limiting is based on both username and IP address. A single username is limited to 150 requests every 60 seconds, as is a single IP address.


Statistics request limits

Statistics requests are rate limited to 30 requests per minute for each IP address and 25 requests per minute for each username.


The IP address and username of every statistics request count towards these limits.


For example, if you log in with your username on a single computer and make 25 statistics requests, the next one fails. You could then log in as a different user and make 5 more statistics requests before hitting the IP address limit.

Examples

Rate Limiting - Example 1

$ curl -i https://api.example.com/v2/statistics/a/date
    {
        "HTTP/1.1": "200 OK",
        "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
        "Content-Type": "application/json",
        "Transfer-Encoding": "chunked",
        "X-Rate-Limit-Limit": 25,
        "X-Rate-Limit-Remaining": 44,
        "X-Rate-Limit-Reset": 27
    }

When the rate limit is exceeded subsequent requests return a 429 Too Many Requests error until the rate limit resets. As with a normal request the rate limiting information is available in the HTTP headers.

Rate Limiting - Example 2 (Limit Exceeded)

Last updated

Was this helpful?